> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Column

> Update a column.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /workspaces/{workspace_id}/tables/{table_id}/columns/{column_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/tables/{table_id}/columns/{column_id}:
    patch:
      tags:
        - tables
      summary: Update Column
      description: Update a column.
      operationId: tables-update_column
      parameters:
        - name: table_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Table Id
        - name: column_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Column Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableColumnUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    TableColumnUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
          description: The name of the column
        type:
          anyOf:
            - $ref: '#/components/schemas/SqlType'
              maxLength: 100
              minLength: 1
            - type: 'null'
          description: The SQL type of the column
        nullable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Nullable
          description: Whether the column can be null
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
          description: The default value of the column
        is_index:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Index
          description: True creates a unique index, False drops it, None leaves unchanged.
        options:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Options
      type: object
      title: TableColumnUpdate
      description: Update model for a table column.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SqlType:
      type: string
      enum:
        - TEXT
        - INTEGER
        - NUMERIC
        - DATE
        - BOOLEAN
        - TIMESTAMPTZ
        - JSONB
        - SELECT
        - MULTI_SELECT
      title: SqlType
      description: Supported SQL types.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````